wxSQLite3IntegerCollection Class Reference

Represents a named integer value collection. More...

`#include <wxsqlite3.h>`

Inheritance diagram for wxSQLite3IntegerCollection:

## Public Member Functions

| wxSQLite3IntegerCollection ()
| Constructor.
| wxSQLite3IntegerCollection (const wxSQLite3IntegerCollection &collection)
| Copy constructor.
wxSQLite3IntegerCollection & | operator= (const wxSQLite3IntegerCollection &collection)
| Assignement constructor.
| wxSQLite3IntegerCollection (const wxString &collectionName, void *collectionData)
| Constructor (internal use only)
virtual | ~wxSQLite3IntegerCollection ()
| Destructor.
void | Bind (const wxArrayInt &integerCollection)
| Bind a new array of integer values.
void | Bind (int n, int *integerCollection)
| Bind a new array of integer values.
Public Member Functions inherited from wxSQLite3NamedCollection
| wxSQLite3NamedCollection ()
| Constructor.
| wxSQLite3NamedCollection (const wxSQLite3NamedCollection &collection)
| Copy constructor.
wxSQLite3NamedCollection & | operator= (const wxSQLite3NamedCollection &collection)
| Assignement constructor.
| wxSQLite3NamedCollection (const wxString &collectionName, void *collectionData)
| Constructor (internal use only)
virtual | ~wxSQLite3NamedCollection ()
| Destructor.
const wxString & | GetName ()
| Get the name of the collection.

## Friends

class | wxSQLite3Database

## Additional Inherited Members

Protected Attributes inherited from wxSQLite3NamedCollection
wxString | m_name
| Name of the collection.
void * | m_data
| Reference to the actual array of values representing the collection.

## Detailed Description

Represents a named integer value collection.

## Constructor & Destructor Documentation

## wxSQLite3IntegerCollection() [1/3]

wxSQLite3IntegerCollection::wxSQLite3IntegerCollection | ( |  | ) |

Constructor.

## wxSQLite3IntegerCollection() [2/3]

wxSQLite3IntegerCollection::wxSQLite3IntegerCollection | ( | const wxSQLite3IntegerCollection & | collection | ) |

Copy constructor.

## wxSQLite3IntegerCollection() [3/3]

wxSQLite3IntegerCollection::wxSQLite3IntegerCollection | ( | const wxString & | collectionName,
|  | void * | collectionData
| ) |  |

Constructor (internal use only)

## ~wxSQLite3IntegerCollection()

wxSQLite3IntegerCollection::~wxSQLite3IntegerCollection | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Bind() [1/2]

void wxSQLite3IntegerCollection::Bind | ( | const wxArrayInt & | integerCollection | ) |

Bind a new array of integer values.

Bind a new array of integer values to this named collection object.

Parameters

  integerCollection | array of integer values to be bound

Note
  Binding values to a named collection after closing the corresponding database results in undefined behaviour, i.e. the application is likely to crash.

## Bind() [2/2]

void wxSQLite3IntegerCollection::Bind | ( | int | n,
|  | int * | integerCollection
| ) |  |

Bind a new array of integer values.

Bind a new array of integer values to this named collection object.

Parameters

  n | number of elements in the array
  integerCollection | array of integer values to be bound

Note
  Binding values to a named collection after closing the corresponding database results in undefined behaviour, i.e. the application is likely to crash.

## operator=()

wxSQLite3IntegerCollection & wxSQLite3IntegerCollection::operator= | ( | const wxSQLite3IntegerCollection & | collection | ) |

Assignement constructor.

## Friends And Related Symbol Documentation

## wxSQLite3Database

friend class wxSQLite3Database

friend

The documentation for this class was generated from the following files:

- wxsqlite3.h
- wxsqlite3.cpp